From 3532a304809f9f654923489b93077c6573b8c35f Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <barracuda@macos-powerpc.org>
Date: Sun, 18 Aug 2024 06:14:07 +0800
Subject: [PATCH] Drop a defunct fallback

---
 Makefile  | 15 ---------------
 src/nnn.c |  4 ----
 2 files changed, 19 deletions(-)

diff --git Makefile Makefile
index 7661daea..3cc6ef28 100644
--- Makefile
+++ Makefile
@@ -186,21 +186,6 @@ GITSTATUS = patches/gitstatus
 NAMEFIRST = patches/namefirst
 RESTOREPREVIEW = patches/restorepreview
 
-# test if we are on Mac OS X and get X.Y.Z OS version with system binary /usr/bin/sw_vers
-MACOS_VERSION := $(strip $(shell command -v sw_vers >/dev/null && [ "`sw_vers -productName`" = "Mac OS X" ] && sw_vers -productVersion))
-# if Mac OS X detected, test if its version is below 10.12.0 relying on "sort -c" returning "disorder" message if the input is not sorted
-ifneq ($(MACOS_VERSION),)
-	MACOS_BELOW_1012 := $(if $(strip $(shell printf '10.12.0\n%s' "$(MACOS_VERSION)" | sort -ct. -k1,1n -k2,2n -k3,3n 2>&1)),1)
-endif
-# if Mac OS X version is below 10.12.0, compile in the replacement clock_gettime and define MACOS_BELOW_1012 so that it's included in nnn.c
-ifneq ($(MACOS_BELOW_1012),)
-	GETTIME_C = misc/macos-legacy/mach_gettime.c
-	GETTIME_H = misc/macos-legacy/mach_gettime.h
-	SRC += $(GETTIME_C)
-	HEADERS += $(GETTIME_H)
-	CPPFLAGS += -DMACOS_BELOW_1012
-endif
-
 ifeq ($(strip $(O_DEBUG)),1)
 	HEADERS += src/dbg.h
 endif
diff --git src/nnn.c src/nnn.c
index 8babc6d9..69873cc2 100644
--- src/nnn.c
+++ src/nnn.c
@@ -108,10 +108,6 @@
 #include <pwd.h>
 #include <grp.h>
 
-#ifdef MACOS_BELOW_1012
-#include "../misc/macos-legacy/mach_gettime.h"
-#endif
-
 #if !defined(alloca) && defined(__GNUC__)
 /*
  * GCC doesn't expand alloca() to __builtin_alloca() in standards mode
